{ lib, config, ... }:
let
  cfg = config.myServices.databases;
in
{
  options.myServices = {
    databases.enable = lib.mkEnableOption "my databases service";
    databasesCerts = lib.mkOption {
      description = "Default databases configurations for certificates as accepted by acme";
    };
  };
  config.myServices.databases = lib.mkIf cfg.enable {
    mariadb.enable = true;
    openldap.enable = true;
    postgresql.enable = true;
    redis.enable = true;
  };
}
