{ lib, pkgs, config, myconfig,  ... }:
let
    cfg = config.services.myWebsites.DeniseJerome;
    varDir = "/var/lib/ftp/denisejerome";
    env = myconfig.env.websites.denisejerome;
in {
  options.services.myWebsites.DeniseJerome = {
    production = {
      enable = lib.mkEnableOption "enable Denise Jerome's website";
    };
  };

  config = lib.mkIf cfg.production.enable {
    services.webstats.sites = [ { name = "denisejerome.piedsjaloux.fr"; } ];

    services.websites.production.vhostConfs.denisejerome = {
      certName     = "denisejerome";
      certMainHost = "denisejerome.piedsjaloux.fr";
      hosts        = ["denisejerome.piedsjaloux.fr" ];
      root         = varDir;
      extraConfig  = [
        ''
        Use Stats denisejerome.piedsjaloux.fr

        <Directory ${varDir}>
          DirectoryIndex index.htm index.html
          Options Indexes FollowSymLinks MultiViews Includes
          AllowOverride AuthConfig
          Require all granted
        </Directory>
          ''
      ];
    };
  };
}
